%  FEXT model, 99% power sum
%
%
%  Initially written by:		Nils Holte	1999
%
%  Last revised by:             Jan Vidar Rognsvg 	22.06.2008
%
%
%  Lengths of disturbing pair, total length: LFES, overlap: LFE 
%
%  Changed to allow PBO in transmit spectrum(27)
%
LFES=L*LFEdistRat/100;
LFE=LFES;
if LFE > L
	LFE=L;
end
%
%  Signal attenuation of the cable
%
FE1=exp(-2*LFES*alfa);
%
if length(Sipsd) == 1
	%	
	%  Include uniform output spectrum
	%
    FE1=FE1.*10.^((Sipsd-PBOk)/10);
else
	%
	%  Calculate output spectrum from spectral mask
	%
	SdB=logintpl(FSipsd,Sipsd,F);
	FE1=FE1.*10.^(SdB/10);
end
%
%  FEXT model
%
if FEon==1 
	%
	%  Empirical FEXT model, 99% power sum, 50 pair binder group
	%
	FE=(NPAF/49)^0.6*3.e-4.*F.^2*LFE;
	FE100=(NPAF/49)^0.6*3.e-4.*0.1.^2*LFE;
else
	%
	%  High frequency NEXT model, specified NEXT power sum at 1 MHz
	%
	FE=10^(-FEXT1ps/10).*F.^2*LFE;
	FE100=10^(-FEXT1ps/10).*0.1.^2*LFE;
end
%
%  Limit FEXT below 100 kHz to FEXT model at 100 kHz
%
FE(FE<FE100)=FE100;
%
%  Calculate noise spectrum for FEXT
%
FE=FE.*FE1;
