% Iterative water-filling (no presentations)
%
% Initially written by:     Jan Vidar Rognsvg: Spring 2008    
%
% Last revised by:          Jan Vidar Rognsvg 	22.06.2008
%
% Input: PBO of all lines in the system
% Output: Bit rates of all lines in the system 
% 
% ex: PBOx = [0 0 0]; [R,caps]=itwaterfillfast(PBOx)
function [R,Rwtd]=itwaterfillfast(PBOx)
defVDSLu;
l=size(PBOx,2);
% Preallocate arrays to increase speed:
R=zeros(1,l);
PBOtmp=zeros(NF,l);
for i=1:l
    PBOtmp(1:NF,i)=PBOx(i);
end
[Npsd,Hpsd,Rwtd] = sys(PBOtmp); % Finds Rwanted for disturbing systems
for j = 1 : 10
    for i = 1 : l
        PBOtmp(1:NF,i)=PBOx(i);
        [R(i),cap,PBO,SNR]=waterfillfast(i,PBOtmp,Rwtd);
        PBOtmp(1:NF,i)=PBO.';
    end
end