% Capacity with two lines with input power back-off
% 
% Initially written by:     Jan Vidar Rognsvg: Fall 2007    
%
% Last revised by:          Jan Vidar Rognsvg: 22.06.2007  
% 
% Input: Positive PBO of both lines in the system
% Output: Bit rates of the two lines
% Choose negative PBO for one of the lines to illustrate rate region.
% 
% Ex: PBO1=0;PBO2=-1;
% plotcaps(PBO1,PBO2)
function R=plotcaps(P1,P2)
defVDSLu;
dist=[0.8,0.5];
% Sett negativ verdi for PBO dersom det nskes multiple verdier, 
% maks et system med multiple backoff verdier.
if P1>=0
    PBO1=P1;
else
    PBO1=[-10 -6 -3 0 3 6 10 13 16 20 23 26 28 30 35 40 50];
end
if P2>=0
    PBO2=P2;
else
    PBO2=[-10 -6 -3 0 3 6 10 13 16 20 23 26 28 30 35 40 50];
end
% Preallokere plass i minne for raskere prosessering
R11=zeros(1,length(PBO1));
R21=R11;
R12=zeros(1,length(PBO2));
R22=R12;
for j=1:length(PBO1)
    for k=1:length(PBO2) 
    PBO=[PBO1(j) PBO2(k)];      % Endrer PBO for hver iterasjon
        for i=1:2
            L=dist(i);    
        if i==1 % System 1
            LFEdistRat=dist(2)/dist(1)*100;   % Lengde forstyrrende par vs kabellengde
            PBOs=PBO(1);    % brukes i sig.m for  senke utsendt signal effekt
            PBOk=PBO(2);    % brukes i fext.m for  senke krysstale
            singcap;        % finner kapasitet for system (i)
            R11(j)=cap;     % brukes for multiple PBO1
            R12(k)=cap;     % brukes for multiple PBO2
        else    % System 2
            LFEdistRat=dist(1)/dist(2)*100;     
            PBOs=PBO(2);
            PBOk=PBO(1);
            singcap
            R21(j)=cap;
            R22(k)=cap;
        end
        end
    end
end
% Fixed PBO for each system
if sum(length(PBO1)+length(PBO2))==2
    R=[R11 R21];
    figure(1)
    stem(dist,R)
    axis([0 1 0 ceil(max(R))])
    title('Capacity for both systems, L1 and L2','FontSize',12)
    xlabel('Cable length,  km','FontSize',12)
    ylabel('Potential Capacity, Mbps','FontSize',12)
% Increasing PBO in L1
elseif length(PBO2)==1           
    R=[R11; R21];    
    figure(1)
    plot(R11,R21,'-k+') 
    axis([0 ceil(max(R11)) 0 ceil(max(R21))+1])
    title('Rate Region, Power Back-Off in L1','FontSize',12)
    xlabel('Capacity in L1, Mbps','FontSize',12)
    ylabel('Capacity in L2, Mbps','FontSize',12)
% Increasing PBO in L2
elseif length(PBO1)==1
    R=[R12; R22];
    figure(1)
    plot(R12,R22,'-k+') 
    axis([floor(min(R12)) ceil(max(R12)) 0 ceil(max(R22))+1])
    title('Rate Region, Power Back-Off in L2','FontSize',12)
    xlabel('Capacity in L1, Mbps','FontSize',12)
    ylabel('Capacity in L2, Mbps','FontSize',12)
end

