%  Calculate total transmission capacity for onedirectional transmission 
%  in one pair
%
%
%  Initially written by:	Nils Holte	1999
%
%  Last revised by:			Nils Holte 	12.10.2001
%
%
%  Signal power spectrum
%
sig
%
Npsd=zeros(1,NF);
%
%  white noise
%
if AWGNon >= 1
	whnoi
	Npsd=Npsd+WN*ones(1,NF);
end
%
%  Self FEXT
%
if FEon >= 1
	fext
	Npsd=Npsd+FE;
end
%
%  Self NEXT
%
if NEon >= 1
	next
	Npsd=Npsd+NE;
end
%
%  Alien SHDSL NEXT
%
if SHDSLonV >= 1
	SHnext
	Npsd=Npsd+AliSH;
end
%
%  Alien NEXT (multicarrier)
%
if AliNEon >= 1
	Alinext
	Npsd=Npsd+AliNE;
end
%
%  Alien FEXT (multicarrier)
%
if AliFEon >= 1
	Alifext
	Npsd=Npsd+AliFE;
end
%
%  ETSI noise test model
%
if ETSIon >= 1
	ETSI
	Npsd=Npsd+ETSIpsd;
end
%
%  Shannon bound with margin
%
y=log2(1+AMARG*S./Npsd);
%
%  Round down to nearest step (adaptive modulation)
%
y=floor(y/BWEstep)*BWEstep;
%
%  Maximum bandwidth efficiency limitation
%
y(y>BWEM)=BWEM;
%
%  Minimum bandwidth efficiency limitation
%
y(y<BWEmin-1.e-6)=0;
%  
%  Add effective rate at all frequencies
%
cap=sum(y)*dF*Reff;
